<?php

namespace app\modules\tag;

use kernel\Module;
use kernel\modules\menu\service\MenuService;

class TagModule extends Module
{

    public MenuService $menuService;
    public function __construct()
    {
        $this->menuService = new MenuService();
    }

    /**
     * @throws \Exception
     */
    public function init(): void
    {
        $this->menuService->createItem([
            "label" => "Тэги",
            "url" => "/admin/tag",
            "slug" => "tag",
        ]);
    }

    public function deactivate(): void
    {
        $this->menuService->removeItemBySlug("tag");
    }
}